# Delete all actions on a line item

Deletes all actions on a line item.

Endpoint: DELETE /api/v1.1/instances/{instanceId}/line-items/{lineItemId}/actions
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `instanceId` (string, required)
    The UUID of the Dynamic Monetization instance.

  - `lineItemId` (string, required)
    Line item ID. 
Note: This is also known as the activation ID.

## Response 204:

  - `204` (unknown)
    Actions for the requested line item were successfully deleted.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 404:

  - `404` (unknown)
    Actions not found or are empty for the requested line item.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

